Prelude Correlator - Bug #365

setup.py install fails
11/02/2009 09:08 PM - Pierre Chifflier

Status: Resolved Start date: 11/02/2009
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour

Target version:

Resolution:

Description

$ python setup.py install —--prefix=/tmp

/usr/lib/python2.5/distutils/dist.py:263: UserWarning: Unknown distribution option: 'entry_points'
warnings.warn (msqg)

/usr/lib/python2.5/distutils/dist.py:263: UserWarning: Unknown distribution option: 'zip_safe'
warnings.warn (msg)

running install

creating //tmp/etc

creating //tmp/etc/prelude-correlator

byte-compiling /tmp/lib/python2.5/site-packages/PreludeCorrelator/siteconfig.py to siteconfig.pyc

running install_egg_info

Writing /tmp/lib/python2.5/site-packages/prelude_correlator-0.9.0_beta7.egg-info

running install_scripts

running build_scripts
error: cannot copy tree 'build/scripts-2.5': not a directory

| have no idea of what's causing this sad.png

History

#1 - 11/03/2009 05:05 PM - Pierre Chifflier

The issue seems related to the version of python-setuptools: upgrading to 0.6.6 solved the problem.

#2 - 11/03/2009 05:07 PM - Yoann VANDOORSELAERE

- Status changed from New to Resolved

Thanks Pierre for the feedback, I'm thus closing this ticket!
